Bug 1628900 - [RFE] Allow to keep an interface link down
Summary: [RFE] Allow to keep an interface link down
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: NetworkManager
Version: 8.4
Hardware: All
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.4
Assignee: NetworkManager Development Team
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks: 1555001 1333488
TreeView+ depends on / blocked
 
Reported: 2018-09-14 09:50 UTC by Matteo Croce
Modified: 2021-01-08 07:35 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-01-08 07:35:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Matteo Croce 2018-09-14 09:50:42 UTC
Description of problem:

NetworkManager always sets the link up after configuring an interface.
Some interfaces, like an Open vSwitch bridge with DPDK, needs to work with the link down.

Please add a feature to just configure the interface and keep the link down.
Obviously this will not be the default behaviour, eg. it could be connection.link which defaults to yes.

Regards,
Matteo Croce

Comment 2 Matteo Croce 2018-09-14 09:56:41 UTC
This RFE blocks bug 1555001 because it was requested by the initscripts maintainers to have feature parity between initscripts and NM.

Link to the initscripts pull request:

https://github.com/fedora-sysv/initscripts/pull/175

Comment 3 Thomas Haller 2018-09-14 10:23:38 UTC
> This RFE blocks bug 1555001 because it was requested by the initscripts 
> maintainers to have feature parity between initscripts and NM.

Note that feature parity may not be possible: bug 1589869.
There is no need to block bug 1555001 for this.

Comment 5 Thomas Haller 2018-11-15 15:42:38 UTC
An alternative/orthogonal solution for this could be bug 1650221: with that, you would just not create a profile in NM and the device would be automatically unmanaged and not touched.

Comment 6 Marcelo Ricardo Leitner 2019-07-03 15:11:13 UTC
Mass-moving bugs RHEL <= 7.6.0 to 7.7.0.
As we are past RFE deadline for 7.7.0 and we should have no new features on 7.8.0, please evaluate if it's still wanted on RHEL7 and contact PM for exception. You may also move it to RHEL8 if that's wanted. Thanks!

Comment 12 RHEL Program Management 2021-01-08 07:35:58 UTC
After evaluating this issue, there are no plans to address it further or fix it in an upcoming release.  Therefore, it is being closed.  If plans change such that this issue will be fixed in an upcoming release, then the bug can be reopened.


Note You need to log in before you can comment on or make changes to this bug.